ConsoleTextEditor (groovy 2.4.7 API)
Date: 2016-06-03

Package: groovy.ui

## [Java] Class ConsoleTextEditor

- groovy.ui.ConsoleTextEditor

- Component which provides a styled editor for the console.

  Authors:
    hippy
    Danno Ferrin
    Tim Yates
    Guillaume Laforge

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JScrollPane` | `VIEWPORT, VERTICAL_SCROLLBAR, HORIZONTAL_SCROLLBAR, ROW_HEADER, COLUMN_HEADER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, LOWER_LEADING_CORNER, LOWER_TRAILING_CORNER, UPPER_LEADING_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR_POLICY, HORIZONTAL_SCROLLBAR_POLICY, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_ALWAYS, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`
    `class JComponent` | `WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `def` | `ConsoleTextEditor()` Creates a new instance of ConsoleTextEditor
    `boolean` | `clipBoardAvailable()`
    `String` | `getDefaultFamily()`
    `Action` | `getPrintAction()`
    `Action` | `getRedoAction()`
    `TextEditor` | `getTextEditor()`
    `Action` | `getUndoAction()`
    `protected void` | `initActions()`
    `void` | `setDefaultFamily(String defaultFamily)`
    `void` | `setEditable(boolean editable)`
    `void` | `setShowLineNumbers(boolean showLineNumbers)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JScrollPane` | `getAccessibleContext, getUI, getUIClassID, setComponentOrientation, setUI, updateUI, isValidateRoot, setColumnHeader, setColumnHeaderView, setCorner, setHorizontalScrollBar, setHorizontalScrollBarPolicy, setRowHeader, setRowHeaderView, setVerticalScrollBar, setVerticalScrollBarPolicy, setViewport, setViewportBorder, setViewportView, setWheelScrollingEnabled, createHorizontalScrollBar, createVerticalScrollBar, getColumnHeader, getCorner, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getRowHeader, getVerticalScrollBar, getVerticalScrollBarPolicy, getViewport, getViewportBorder, getViewportBorderBounds, isWheelScrollingEnabled, setLayout, getPreferredSize, setVisible, getX, getY, repaint, repaint, revalidate, setEnabled, paintImmediately, paintImmediately, removeNotify, setAlignmentX, setAlignmentY, addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, createToolTip, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, paint, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, scrollRectToVisible, setActionMap, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, getBounds, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, contains, getLocation, print, getSize, isOpaque, disable, enable, update, getComponents, getComponentCount, getComponent, getComponentAt, getComponentAt, applyComponentOrientation, invalidate, getFocusTraversalPolicy, isFocusCycleRoot, isFocusCycleRoot, setFocusTraversalPolicy, addPropertyChangeListener, addPropertyChangeListener, validate, addContainerListener, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getMousePosition, insets, isAncestorOf, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicyProvider, transferFocusDownCycle, add, add, add, add, add, remove, remove, list, list, removeAll, layout, getLayout, doLayout, getGraphicsConfiguration, getToolkit, gotFocus, hasFocus, inside, isBackgroundSet, isCursorSet, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, paintAll, prepareImage, prepareImage, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setIgnoreRepaint, transferFocusUpCycle, getLocationOnScreen, isShowing, isVisible, setLocation, setLocation, show, show, addFocusListener, repaint, repaint, repaint, setFocusable, imageUpdate, isFocusOwner, getBackground, getFocusCycleRootAncestor, getFont, getForeground, getPeer, getTreeLock, isDisplayable, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, nextFocus, setBounds, setBounds, action, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, bounds, getBounds, getLocale, setLocale, move, dispatchEvent, getMousePosition, handleEvent, isFocusable, isLightweight, postEvent, transferFocus, transferFocusBackward, addComponentListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, add, remove, toString, getName, contains, size, getLocation, getParent, setName, list, list, list, getSize, setSize, setSize, resize, resize, location, enable, isValid, isEnabled, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class JComponent` | `getAccessibleContext, getPreferredSize, getUIClassID, setVisible, updateUI, getX, getY, repaint, repaint, revalidate, setEnabled, paintImmediately, paintImmediately, removeNotify, setAlignmentX, setAlignmentY, addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, createToolTip, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, scrollRectToVisible, setActionMap, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, getBounds, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, contains, getLocation, print, getSize, isOpaque, disable, enable, update, getComponents, getComponentCount, getComponent, getComponentAt, getComponentAt, applyComponentOrientation, invalidate, getFocusTraversalPolicy, isFocusCycleRoot, isFocusCycleRoot, setFocusTraversalPolicy, addPropertyChangeListener, addPropertyChangeListener, validate, addContainerListener, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getMousePosition, insets, isAncestorOf, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicyProvider, transferFocusDownCycle, add, add, add, add, add, remove, remove, list, list, removeAll, setLayout, layout, getLayout, doLayout, getGraphicsConfiguration, getToolkit, gotFocus, hasFocus, inside, isBackgroundSet, isCursorSet, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, paintAll, prepareImage, prepareImage, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setIgnoreRepaint, transferFocusUpCycle, getLocationOnScreen, isShowing, isVisible, setComponentOrientation, setLocation, setLocation, show, show, addFocusListener, repaint, repaint, repaint, setFocusable, imageUpdate, isFocusOwner, getBackground, getFocusCycleRootAncestor, getFont, getForeground, getPeer, getTreeLock, isDisplayable, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, nextFocus, setBounds, setBounds, action, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, bounds, getBounds, getLocale, setLocale, move, dispatchEvent, getMousePosition, handleEvent, isFocusable, isLightweight, postEvent, transferFocus, transferFocusBackward, addComponentListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, add, remove, toString, getName, contains, size, getLocation, getParent, setName, list, list, list, getSize, setSize, setSize, resize, resize, location, enable, isValid, isEnabled, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public def ConsoleTextEditor()

      Creates a new instance of ConsoleTextEditor

    - #### public boolean clipBoardAvailable()

    - #### public String getDefaultFamily()

    - #### public Action getPrintAction()

    - #### public Action getRedoAction()

    - #### public TextEditor getTextEditor()

    - #### public Action getUndoAction()

    - #### protected void initActions()

    - #### public void setDefaultFamily(String defaultFamily)

    - #### public void setEditable(boolean editable)

    - #### public void setShowLineNumbers(boolean showLineNumbers)